# Interface StyleSet

All Known Implementing Classes:
  `ErrorMarkStyleSet`

public interface StyleSet
Defines a sequence of styles intended for use within a single plot.

Since:
  23 Jul 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the name of this set.
`Style`
`getStyle(int index)`
Returns a marker style corresponding to a particular index.

## Method Details

### getStyle

Style getStyle(int index)
Returns a marker style corresponding to a particular index. Successive calls for the same `index` must give the same style (or one equivalent in the sense of `equals`), and ideally different values of `index` should give unequal ones, but for indices beyond a certain value the markers may wrap around. A given implementation may change the marker it dispenses for a given index at different stages of its lifetime.

Parameters:
  `index` - code for the requested style
Returns:
  style for code `index`

### getName

String getName()
Returns the name of this set.

Returns:
  set name